package com.alterdekim.hearthhack.util;

public class Compute32 {
    public static int Hash(String str) {
        int num = Integer.parseUnsignedInt("2166136261");
        for( char b : str.toCharArray() ) {
            num ^= b;
            num *= Integer.parseUnsignedInt("16777619");
        }
        return num;
    }
}